NAMESPACE=$(cat ../../../../anydesk-build/include/base/config.hh | grep "define AD_SETUP_GLOBAL_PREFIX" | cut -d' ' -f4 | tr -d "\"")

if [ "${NAMESPACE}" == "ad" ]; then
NAMESPACE="anydesk"
else
NAMESPACE=$(echo "anydesk_${NAMESPACE}" | tr ' ' '_')
fi

BUNDLE_NAME="com.philandro.${NAMESPACE}"
HELPER_BUNDLE_NAME="${BUNDLE_NAME}.Helper"
CERT_ENTRY_FINAL=$(echo "${HELPER_CERT_ENTRY}" | sed "s/ad_replace/${BUNDLE_NAME}/g")

/usr/libexec/PlistBuddy -c "Set :SMAuthorizedClients:0 ${CERT_ENTRY_FINAL}" -c "Set CFBundleName ${HELPER_BUNDLE_NAME}" -c "Set CFBundleIdentifier ${HELPER_BUNDLE_NAME}" ./Helper/AnyDeskHelper-Info.plist
/usr/libexec/PlistBuddy -c "Delete :MachServices" ./Helper/AnyDeskHelper-Launchd.plist || true
/usr/libexec/PlistBuddy -c "Add :MachServices dict" -c "Add :MachServices:${HELPER_BUNDLE_NAME} bool true" -c "Set Label ${HELPER_BUNDLE_NAME}" ./Helper/AnyDeskHelper-Launchd.plist
cat ./Helper/AnyDeskHelper-Info.plist
cat ./Helper/AnyDeskHelper-Launchd.plist
